Subject: Re: bug#14013: 24.3.50; dired-isearch-filenames-regexp is matching text outside filenames

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Feb 2022 10:13:42 +0200

>> There had been a change that made property changes be applied delayed on
>> the fly for faster startup of wdired.  This now happens only for lines
>> that the user edits.  Could that be related?
>
> But I remember that you were involved in fixing fallout of that change
> for the isearch side.  So maybe a different change is the culprit.

We fixed only the error raised in query-replace by adding save-match-data.
And now we are fixing the matching only within filenames for Emacs 29.
This means that Emacs 28 will be released with this regression.